library(tidyverse)

setwd('./elections')

# Load data and inspect the variables
electionData <- read.csv("GlobalElections_Czech elections.csv")

## Select 
electionData2 <- electionData %>% 
  select(year, district, legid, year, dtv, cnty, dm) 

electionData2 <- electionData2 %>% 
  select(-cnty, -dm) 

## Filter
electionData2 %>% 
  filter(legid == 1)

electionData2 %>% 
  filter(year == 1998)

electionData2 %>% 
  filter(year == 2000 & legid == 2)

## Add column (mutate)
electionData2 %>% 
  mutate(norm_dtv = dtv / 100000)

## Combination
electionData %>% 
  select(year, district, legid, year, dtv) %>%
  filter(legid == 2) %>%
  mutate() 

# ------------------- Advanced ---------------------
lowerHouseElections <- electionData %>% 
  filter(legid == 1)

# What is the difference of voters for ODS and CSSD in Jihocesky kraj throughout the years (lower house)?
# ODS ~ p8, CSSD ~ p2
lowerHouseElections %>% 
  filter(___) %>%
  select(___) %>% 
  mutate(___)

# What is the percentage of people voting for communists throughout the years (Jihocesky kraj)
# KSCM ~ p16; assume constant population of 10mil.
lowerHouseElections %>% 
  filter(___) %>%
  mutate(___) %>%
  select(___)

# How many people voted for left and how many people voted for right wing in 1998?
# Assume right wing ODS+KDU-CSL, left wing CSSD+KSCM
# Party codes: p2 CSSD, p3 KDU-CSL, p8 ODS, p16 KSCM
electionData %>% 
  filter(legid == 1 & _____) %>%
  select(_____) %>%
  summarize_all(sum) %>%
  mutate(votes_rightwing = _____, votes_leftwing = _____)